Jump to content
X2Community Forums

Keyoung

core_group_3
  • Content Count

    25
  • Joined

  • Last visited

  • Days Won

    3

Keyoung last won the day on October 29 2018

Keyoung had the most liked content!

Community Reputation

3 Neutral

About Keyoung

  • Rank
    Member
  1. I'd like to know if there is any way that I can have a FREE two factor authentication in X2CRM (version 8.0). Just similar to WordPress is doing: I can use Google Authenticator to generate a number of 6 digits and input after I input user name and password. If no free method is available, what is the most cost effective way of doing this?
  2. Hi @X2Raymond I'd like to know if I can use Google Authentication for X2CRM 8.0? If yes, pls advise how.
  3. Yes, problem solved! Previously Noime's solution has no quotes for the items after sql_mode and now it works with this: sql_mode = "STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION" Thank you for all the help!
  4. Does anyone have any update on this? Many thanks in advance!
  5. It makes no difference after I put the above sql_mode into my.cnf like this and restarted MySQL: MySQL version 5.7.24 $ cat my.cnf # # The MySQL database server configuration file. # # You can copy this to one of: # - "/etc/mysql/my.cnf" to set global options, # - "~/.my.cnf" to set user-specific options. # # One can use all long options that the program supports. # Run program with --help to get a list of available options and with # --print-defaults to see which it would actually understand and use. # # For explanations see # http://dev.mysql.com/doc/mysql/en/server-system-variables.htm
  6. No, just "some accounts". Most of the accounts can be searched but just some accounts cannot be searched properly.
  7. I encountered below error while trying to search an existing account: Error 500It looks like the application ran into an unexpected error. We apologize for the inconvenience and would like to do our best to fix this issue. If you would like to make a post on our forums we can actively interact with you in getting this resolved. If not, simply sending the error report helps us immensely and will only improve the quality of the software. Thanks! Send Error ReportHere's a quick list of what will be included in the report: Error Code: 500 Error Message: CDbCommand failed to execute the SQL s
  8. I already have 'modelName' field in x2_accounts. What I did is to change the 'Default Value' from 'NULL' to 'Empty String' and it works! Problem solved!
  9. Yes, this is annoying as it is the basic function of the system. Now I cannot create NEW account!!! Pls help urgently!!!
  10. Any hints or update? This error occurs whenever I try to create an account and then save.
  11. Here it is: Error Code: 500 Error Message: CDbCommand failed to execute the SQL statement: SQLSTATE[HY000]: General error: 1364 Field 'modelName' doesn't have a default value Stack Trace: [click to toggle display] CDbException in /var/www/html/x2crm/framework/db/CDbCommand.php(358) #0 /var/www/html/x2crm/framework/db/ar/CActiveRecord.php(1083): CDbCommand->execute() #1 /var/www/html/x2crm/protected/models/X2Model.php(1607): CActiveRecord->insert(NULL) #2 /var/www/html/x2crm/protected/models/X2Model.php(901): X2Model->insert(NULL) #3 /var/www/html/x2crm/protected/modules/accounts/cont
  12. I encountered below error while trying to save a newly created 'Account': Error Code: 500 Error Message: CDbCommand failed to execute the SQL statement: SQLSTATE[HY000]: General error: 1364 Field 'modelName' doesn't have a default value Stack Trace: [click to toggle display] X2Engine Version: 7.0 PHP Version: 7.0.32-3+ubuntu18.04.1+deb.sury.org+1 Please check and advise.
  13. Finally get it updated to version 7.0 by installing these software packages: (1) Install php-cli (command line interpreter) [Note: this is used to run php from the command line] $ sudo apt-get install php7-cli You can checkPHP version: $ php --version (2) Install ssh2: $ sudo apt-get install libssh2-1 php-ssh2 (3) Install imap extension: $ sudo apt-get install php7.0-imap (4) Install mcrypt $ sudo apt-get install php7.0-mcrypt (5) Install cURL + php-curl: $ sudo apt-get install curl $ sudo apt-get install php-curl Restart Apache2 to make changes effective: $ sudo systemctl res
  14. Following the manual update and encountered below message, pls advise how to install these packages under Ubuntu 18.04: Some requirements for running X2Engine at the latest version are not met on this server: Minor The "openssl" and "mcrypt" libraries are not available. If any application credentials (i.e. email account passwords) are entered into X2Engine, they will be stored in the database in plain text (without any encryption whatsoever). Thus, if the database is ever compromised, those passwords will be readable by unauthorized parties. Major cURL: required but missing. This wi
×
×
  • Create New...